Bug 120377 - Impress crashes when change text animation to word by word.
Summary: Impress crashes when change text animation to word by word.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-07 13:01 UTC by Mark Hung
Modified: 2018-10-10 08:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file adapted from another reported issue. (12.95 KB, application/vnd.oasis.opendocument.presentation)
2018-10-07 13:02 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2018-10-07 13:01:12 UTC
Description:

Impress crashes when change text animation to word by word.


Steps to Reproduce:
1. Open the attached file.
2. Select animation pane from the sidebar.
3. Select the only animation effect.
4. Click "Option" then the dialog popup.
5. Change text animation from letter-by-letter to word-by-word and press Ok.


Actual Results:
Impress crashes.

Expected Results:
Dialog close normally.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Mark Hung 2018-10-07 13:02:36 UTC
Created attachment 145446 [details]
Sample file adapted from another reported issue.
Comment 2 Mark Hung 2018-10-07 13:18:45 UTC
Hi Caolan,

I saw that mpDialogImpl was accessed after it was cleared in Dialog::StartExecuteAsync() in vcl, after CustomAnimationPane::showOptions() called pDlg->disposeOnce(). Have you spot that?
Comment 3 Xisco Faulí 2018-10-07 16:53:36 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3c80f4880d0d3a8f7c71d76877efe234f4f3629c

author	Caolán McNamara <caolanm@redhat.com>	2018-10-01 14:12:24 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-02 09:58:41 +0200
commit	3c80f4880d0d3a8f7c71d76877efe234f4f3629c (patch)
tree	efbb64a152e15c125a2ada453585c8d32b4725d6
parent	616fd241838069e18c59064e33c4b24f5ae112c6 (diff)
weld SvxLineTabDialog

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2018-10-09 13:17:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15ea661bec6e38f4b4b641ed79bd5591345fefbd

tdf#120377 weld cluster of animation pages and dialog

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-10-10 08:48:25 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 87e3539d69626780c6d7531b725dd0d64c69e6d8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for fixing this!